$(function () {

    $('[name="id_local"]').change(function() {
        //$('#[name="id_local"]').val($(this).find(':selected').data('doc'));

        var id = $('[name="id_local"]').val(); 

        if (id == 0) {
           location.href = APP_URL+'/producto_local/listar/';     
        }
        else{
            location.href = APP_URL+'/producto_local/listar_local/'+id;
        }
    });

    $('.button_info_modal').on('click', function() {

        var id_producto = $(this).data("id");
        var id_local = $(this).data("idlocal");
        var data = {'id_producto' : id_producto, 'id_local': id_local};

        $.requestApi('/producto_local/getByIdLocal', data, 'GET', function (resolve) {
            if (resolve) {
                $('#detalles_modal #_1').text(resolve.producto.codigo_barras); 
                $('#detalles_modal #_2').text(resolve.producto.nombre); 
                $('#detalles_modal #_3').text(resolve.producto.descripcion); 
                $('#detalles_modal #_4').text(resolve.producto.tipo_producto); 
                $('#detalles_modal #_5').text(resolve.producto.fecha_vencimiento); 
                $('#detalles_modal #_6').text(resolve.producto.tipo_presentacion.nombre); 
                $('#detalles_modal #_7').text(resolve.producto.unidad_medida.nombre +" ("+ resolve.producto.unidad_medida.abreviatura +")"); 
                $('#detalles_modal #_8').text(resolve.producto.situacion_impuesto); 
                $('#detalles_modal #_9').text(resolve.producto.tipo_impuesto); 
                $('#detalles_modal #_10').text(resolve.producto.valor_impuesto+' %'); 
                $('#detalles_modal #_11').text('S/ '+resolve.producto.precio); 
                $('#detalles_modal #_12').text(resolve.producto.precio_compra == null ? 'No especificado' : ('S/ '+resolve.producto.precio_compra)); 
                $('#detalles_modal #_13').text(resolve.producto.utilidad == null ? 'No especificado' : ('S/ '+resolve.producto.utilidad)); 

                $('#detalles_modal #_14').text(resolve.local.nombre +' ('+ resolve.local.direccion+')'); 
                $('#detalles_modal #_15').text(resolve.stock > 1000000 ? Math.round(resolve.stock-1000000) : 'AGOTADO'); 
                
                $('#detalles_modal').modal('show'); 
            }
        });
    });  
 
});	